<?php
/**
 * Call2Pay API Demo 
 * version 1.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );

	session_name('call2pay');
	session_start();
	
	//no products
	if ((count($_SESSION['products']) == 0) || ($_SESSION['amount']) == 0) {
		header("Location: ./c2p-demo.php?action=shoppingbag"); exit(0);
	}
	
	//call country method
	//create service object
	$oCountry = new c2pService();	
	$oCountry -> setParameter('action', 'country');
	$oCountry -> setParameter('project', PROJECT_NAME);
	$oCountry -> setParameter('amount', $_SESSION['amount']);
	$oCountry -> setParameter('currency', PROJECT_CURRENCY);
	$oCountry -> setParameter('ip', $_SERVER['REMOTE_ADDR']);
	
	//call request and handle errors
	if (!$oCountry -> request()) { $error = '0001'; } 
	else {
		$error = $oCountry -> getResult('error', 0);
		$errormessage = $oCountry -> getResult('errormessage');
	}
	//error
	if ($error != 0) { 
		$_SESSION['error'] = $error;
		header("Location: shoppingbag.php"); 
		exit(0); 
	};	
	
	// handle results
	$countrycount = $oCountry -> getResult('countrycount');
	$country = array(); $country = $oCountry -> getResult('country');
	$ipcountry = $oCountry -> getResult('ipcountry');
	$ipprovider = $oCountry -> getResult('ipprovider');

	//create service object
	$oInit = new c2pService();
	
	$oInit -> setParameter('action', 'init');
	$oInit -> setParameter('project', PROJECT_NAME);
	$oInit -> setParameter('projectcampaign', 'keine');
	$oInit -> setParameter('sessionid', session_id());
	$oInit -> setParameter('ip', $_SERVER['REMOTE_ADDR']);
	
	//reload from country select
	if(getPostVar('country') != "") {
		$_SESSION['country'] = getPostVar('country');
		$oInit -> setParameter('country', $_SESSION['country']);
		$oInit -> setParameter('language', $_SESSION['country']);
	}
	else {
		if (isset($_SESSION['country'])) {
			$oInit -> setParameter('country', $_SESSION['country']);
			$oInit -> setParameter('language', $_SESSION['country']);
		}
		else {
			$oInit -> setParameter('country', $ipcountry);
			$oInit -> setParameter('language', $ipcountry);
			$_SESSION['country'] = $ipcountry;
		}
	}
	
	$oInit -> setParameter('amount', $_SESSION['amount']);
	$oInit -> setParameter('currency', PROJECT_CURRENCY);
	$oInit -> setParameter('title', PROJECT_TITLE);
	$oInit -> setParameter('multicall', 1);

	// call request and handle errors
	if (!$oInit -> request()) { $error = '0001'; } 
	else {
		$error = $oInit -> getResult('error', 0);
		$errormessage = $oInit -> getResult('errormessage');
	}
	if ($error != 0) { 
		$_SESSION['error'] = $error;
		header("Location: shoppingbag.php"); 
		exit(0); 
	}
			
	
	$aResult = array (
		'status' => $oInit -> getResult('status'),
		'handle' => $oInit -> getResult('handle'),
		'number' => $oInit -> getResult('number'),
		'numberinfo' => $oInit -> getResult('numberinfo'),
		'mode' => $oInit -> getResult('mode'),
		'tan' => $oInit -> getResult('tan'),
		'amount' => $oInit -> getResult('amount'),
		'currency' => $oInit -> getResult('currency'),
		'duration' => $oInit -> getResult('duration'),
		'durationpart' => $oInit -> getResult('durationpart'),
		'split' => $oInit -> getResult('split'),
		'paid' => $oInit -> getResult('paid'),
		'callcnt' => $oInit -> getResult('callcnt')
	);
	
	//save results in session
	$_SESSION['handle'] = $aResult['handle'];
	$_SESSION['number'] = $aResult['number'];
	$_SESSION['split'] = $aResult['split'];
	$_SESSION['duration'] = $aResult['duration'];

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title>Call2Pay API Demo</title>
	<link href="screen.css" rel="stylesheet">
	<script src="./lib/js/prototype-1.6.0.3.js" type="text/javascript"></script> 

	<!--[if IE]>
		<style type="text/css">
		div#notice {
  			position:relative; top:-330px; left:360px;
		};
		</style>
	<![endif]-->
	
</head>

<body>

	<div id="header" >
		<table width="608" align="center" class="header">
			<tr >
				<td width="100"><a href="c2p-demo.php"><img src="./img/c2p.gif" border="0"></a></td>
				<td align="left">Call2Pay - Demo</td>
			</tr>
		</table>
	</div>
	
	
	
	<div align="center">
	
		<!-- navigation START -->
		<table class="naviMain" width="608">
			<tr>    
				<td class="naviMainNotSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> <a href="shoppingbag.php">Warenkorb</a> <?php print getCountShoppingbag();?>
				</td>
				<td class="naviMainSelected" width="120"><img src="./img/icon.arrow.4x5.gif" align="absmiddle"> Call2Pay-Nummer</td>
				<td class="naviMainNotSelected" width="120"></td>
				<td class="naviMainNotSelected"></td>
				<td class="naviMainNotSelected"></td>
			</tr>
		</table>
		<table class="naviSubTable" width="608">
			<tr>
				<td class="naviSub" width="80" ></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" width="80"></td>
				<td class="naviSub" ></td>
				<td class="naviFooter" width="80"><a href="c2p-demo.php">Shop</a></td>
			</tr>
		</table>
		<!-- navigation END-->
	
		<table>
			<tr>
				<td class="border">
					

					<div id="content">
						<br />
	
						<!-- if errors -->
						<?php 
							if(($_SESSION['recall'] == 1) || $_SESSION['error'] != 0) {
								if ($_SESSION['error']) {
									print "<div class=statusError>
												<b><br />".$definedErrorCodes[$_SESSION['error']]."</b>
												<br /><br />
											</div><br /><br />";
								}
								else {
									print "<div class=statusError>
												<b><br />Sie haben den Anruf zu fr&uuml;h beendet.<br />
												Bitte rufen Sie erneut an!</b><br /><br />
											</div><br /><br />";
								}
							}
							$_SESSION['recall'] = 0;
							$_SESSION['error'] = 0;
							
						?>
					
						<div class="phoneNumber">Call2Pay f&uuml;r <?php print $definedCountries[$_SESSION['country']];?>: 
						</div>
						
						<br />	
						<b>Folgende Schritte sind notwendig,<br />um das gew&uuml;nschte Angebot nutzen zu k&ouml;nnen.</b>
						<br /><br /><br />
						
						<table>
							<tr>
								<td></td>
								<td><img src="./img/icon.phone.green.48x48.gif"></td>
								<td><b>
									
									Rufen Sie folgende Telefonnummer an: </b><br />
									<div class="phoneNumber">
										<?php print $aResult['number']."* 
												<input class=\"reCalc\" type=\"submit\" value=\"Anruf simulieren\" onclick=\"document.getElementById('notice').style.visibility='visible';\">"?>
									</div>
								</td>
		
							</tr>
							<tr>
								<td></td>
								<td><img src="./img/icon.call.blue.48x48.gif"></td>
								<td>
									<?php 
										if ($aResult['tan'] != "") {
											print "<div class=\"tanNumber\">TAN: ".$aResult['tan']."</div>";
										}
									?>
									Halten Sie die Telefonverbindung aufrecht,<br />bis diese getrennt wird. 
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td></td>
								<td></td>
							</tr>
	
						</table>
						
						* 
						<?php 
							print $aResult['numberinfo'];
							if ($aResult['split'] > 0) {
								print "<br /><br />";
								print "Bei Anrufen aus dem deutschen Festnetz werden Sie gebeten, 
									mit mehreren Anrufen zu bezahlen. Erst wenn Sie den Gesamtbetrag bezahlt haben, 
									wird dieser auf Ihrer Telefonrechnung belastet. ";
							} 
						?>

						<br />
						<br />
						<br />
						<br />
						
						<table  align=right>
							<tr>
								<td width='160' class="languageSelect">
									In welchem Land befinden Sie sich:
								</td>
								<td class="languageSelect">
									
										
										<?php 
											//print country flags
											foreach ($country as $tmp) {
												print "<a href='#' 
												
													onClick=\"new Ajax.Request ('./precall.php', 
													{
														method:'post',
														parameters: 'country=".$tmp."',
														onFailure: function() {
															alert('ERROR: Cannot send data. Please try again...');
														}
													}
													); location.reload(); 
													\"
												>";
												
												print "<img align='absmiddle' src='./img/flags/".strtolower($tmp).".gif'";
												
												if ($tmp == $_SESSION['country']) {
													print "width='40' style='border-color:#5a7411'";
												}
												else {
													print "border='0' style='border-color:#5a7411'";
												}
												
												print "></a> | ";
											}
										?>
									
								</td>
							</tr>
						</table>


					<!-- DIV center END -->
					</div>

					<br />
					<br />

				
				</td>
			</tr>
		</table>
	</div>
	
	<div id="footer" class="footer">
		<a href="http://techdoc.micropayment.de/" target="_blank">Technische Dokumentationen</a> | <a href="./readme.txt" target="_blank">Installationsanleitung</a> | <a href="https://www.micropayment.de/" target="_blank">micropayment&trade;</a><br />
		Call2Pay API Demo, version 1.0<br />
		powered 2009 by micropayment&trade;<br />
	</div>

	<!-- DIV notice -->			
	<div id="notice" class="notice" style="visibility:hidden;">
		<div class="x">
			<a href="#" onclick="document.getElementById('notice').style.visibility='hidden'; return true;">x</a>
		</div>
					
		<b>Telefonanruf simulieren:</b><br /><br />
					
		<form method="POST" name="form1" action="
			<?php 
				if ($aResult['split'] > '0') {
					print "multicall.php";
				}
				else {
					print "activecall.php";
				}
					
			?>" class="noticeTable">
					
			<table>
				<tr>
					<td class=noticeTable"> Ihre Telefonnummer:</td>
					<td class=noticeTable"><input type="text" id="caller" name="caller"></td>
				</tr>
				<?php 
					if ($aResult['mode'] == "DTMF") {
						print "<tr>";
						print '<td class=noticeTable"> TAN:</td>';
						print '<td class=noticeTable"><input type="text" id="tan" name="tan" value="'.$aResult['tan'].'"></td>';
						print "</tr>";
					}
				?>
				<tr>
					<td class=noticeTable"> Anrufdauer:</td>
					<td class=noticeTable"><input type="text" id="secs" name="secs" value="<?php print $aResult['duration']?>">
					</td>
				</tr>
				<tr>
					<td class=noticeTable"> </td>
					<td class=noticeTable"><em>(<?php print $aResult['duration']?> Sekunden f&uuml;r einen erfolgreichen Anruf)</em>
					</td>
				</tr>
				<tr>
					<td class=noticeTable"> </td>
					<td class=noticeTable">

						<input style="width:150px;" type="submit" src="./img/call.jpeg" value="Jetzt anrufen"  width="20" onClick="
      						if(window.document.form1.secs.value=='') { 
	     						alert('Bitte tragen Sie die Sekundenzahl ein!'); 
       		 					return false; 
   							} 
							if(window.document.form1.caller.value=='') {
        	    				alert('Bitte tragen Sie Ihre Telefonnummer ein!'); 
	        					return false; 
							}
						">
					</td>
				</tr>
			</table>
				
				
		</form>
	</div>

</body>
</html>
			
